> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Order

> Get the status of an order from the order request_id

Check order status using the `request_id` from your order request.

<Info>
  **Processing Time:** Orders typically take time to process. During processing, you'll receive `request_processing` responses.
</Info>

**Possible responses:**

* **Success:** Order details with merchant order IDs, tracking, and pricing
* **Processing:** Error response with `request_processing` code
* **Failed:** Error response with specific error code

<Tip>
  See [Error Handling](/v1/api-reference/introduction/error-handling) for complete error code reference.
</Tip>


## OpenAPI

````yaml GET /v1/orders/{request_id}
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/orders/{request_id}:
    get:
      summary: Retrieve Order
      description: Retrieve details of a specific order by request ID.
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier for the order request
      responses:
        '200':
          description: Order details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '400':
          description: Request is currently processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessingError'
components:
  schemas:
    OrderResponse:
      type: object
      properties:
        _type:
          type: string
          description: Response type
          enum:
            - order_response
        price_components:
          $ref: '#/components/schemas/PriceComponents'
        merchant_order_ids:
          type: array
          items:
            $ref: '#/components/schemas/MerchantOrderId'
          description: >-
            A merchant order ids object which contains details about the
            retailer's order identifiers
        tracking:
          type: array
          items:
            $ref: '#/components/schemas/Tracking'
          description: >-
            An array of tracking objects that contain the order's tracking
            information
        request:
          type: object
          description: The original request that was sent to the Zinc API
        delivery_dates:
          type: array
          description: An array of ordered products and their given delivery dates
        account_status:
          $ref: '#/components/schemas/AccountStatus'
          description: >-
            (Amazon only) An account status object that gives details about the
            ordering account
    ProcessingError:
      type: object
      properties:
        _type:
          type: string
          description: Response type
          enum:
            - error
        code:
          type: string
          description: >-
            Error code. Most commonly `request_processing`, but can be any error
            code from the [Error
            Handling](/api-reference/introduction/error-handling) documentation.
        message:
          type: string
          description: Error message
        data:
          type: object
          description: Additional error data
    PriceComponents:
      type: object
      properties:
        converted_payment_total:
          type: integer
          description: Converted payment total in cents
        currency:
          type: string
          description: Currency code
        payment_currency:
          type: string
          description: Payment currency code
        shipping:
          type: integer
          description: Shipping cost in cents
        subtotal:
          type: integer
          description: Subtotal in cents
        tax:
          type: integer
          description: Tax amount in cents
        total:
          type: integer
          description: Total amount in cents
    MerchantOrderId:
      type: object
      properties:
        merchant_order_id:
          type: string
          description: The merchant's order identifier
        merchant:
          type: string
          description: The merchant name
        account:
          type: string
          description: The account email
        placed_at:
          type: string
          format: date-time
          description: When the order was placed
    Tracking:
      type: object
      properties:
        product_id:
          type: string
          description: The product identifier
        merchant_order_id:
          type: string
          description: The merchant's order identifier
        carrier:
          type: string
          description: The shipping carrier
        tracking_number:
          type: string
          description: The tracking number
        obtained_at:
          type: string
          format: date-time
          description: When tracking was obtained
    AccountStatus:
      type: object
      properties:
        prime:
          type: boolean
          description: Indicates if the account has Prime enabled
        fresh:
          type: boolean
          description: Indicates if the account has Fresh enabled
        business:
          type: boolean
          description: Indicates if the account has Business enabled
        charity:
          type: string
          description: Indicates if the account has a Charity associated
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````